Name: lft
Version: 2.2
Release: alt1

Summary: Alternative traceroute tool for network (reverse) engineers
License: MainNerve Public License
Group: Monitoring

Url: http://www.mainnerve.com/lft
Source0: %url/%name-%version.tar.gz
Source1: %name.control

Obsoletes: fft

Packager: Michael Shigorin <mike@altlinux.ru>

# Automatically added by buildreq on Sat Aug 16 2003
BuildRequires: libpcap-devel

%description
LFT, short for Layer Four Traceroute, is a sort of 'traceroute' that
often works much faster (than the commonly-used Van Jacobson method) and
goes through many configurations of packet-filter based firewalls. More
importantly, LFT implements numerous other features including AS number
lookups, loose source routing, netblock name lookups, et al.

%prep
%setup

%build
%configure
%make_build

%install
%makeinstall DESTDIR="%buildroot%_bindir" MANDIR="%buildroot%_man8dir"
%__install -pD -m755 %SOURCE1 %buildroot%_sysconfdir/control.d/facilities/%name

%pre
/usr/sbin/groupadd -r -f netadmin >/dev/null 2>&1
[ $1 -eq 1 ] || /usr/sbin/control-dump %name

%post
if [ $1 -ge 2 ]; then
	/usr/sbin/control-restore %name
else
	/usr/sbin/control %name netadmin
fi


%files
%_bindir/*
%_man8dir/*
%config %_sysconfdir/control.d/facilities/%name
%doc CHANGELOG COPYING README TODO lft-manpage.html

%changelog
* Sat Aug 16 2003 Michael Shigorin <mike@altlinux.ru> 2.2-alt1
- built for ALT Linux
- control(8) support

* Sun Apr 20 2003 Nils McCarthy <nils@shkoo.com>
- Incorporated changes from Dag Wieers <dag@wieers.com> cleaning up
- a lot of the build process.

* Thu Mar 06 2003 Nils McCarthy <nils@shkoo.com>
- revised to work with autoconf

* Mon Oct 28 2002 Florin Andrei <florin@sgi.com>
- first version
- v2.0-1
